/* 
 * This software is licensed under terms of the GNU GENERAL PUBLIC LICENSE
 *
 * This software is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This software  is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this software.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Source code is available at http://ppcenter.free.fr
 */

#ifndef _INCLUDE_PORTLIB_H_
#define _INCLUDE_PORTLIB_H_


#include <stdio.h>
#include "log.h"


#ifdef  __cplusplus
extern "C" {
#endif

// Port init/close
// return 0 when no error.
int port_init(void);
int port_close(void);

// Read from port
int port_read_byte(unsigned int addr);

// Write to port
void port_write_byte(unsigned int addr, int data);

#ifdef  __cplusplus
}
#endif


#endif // _INCLUDE_PORTLIB_H_
