#ifndef _COPYSTUB_H_
#define _COPYSTUB_H_


/* Copy stub's start address, as defined in ROM_BART.LNK */
#define COPYSTUB_START_ADRESS 0x002FF000
/* Maximum space allowed to copystub program. */
#define COPYSTUB_LENGTH (4096 - sizeof(sc_global_t))

/**
 * 0x002FF000 :
 * -> last 4096 bytes low ram.
 *    -> Maximum 4096-64 = 4032 bytes for program.
 *    -> Then, 64 bytes for global parameters (which include copystub parameters.)
**/



#endif
